Presign Media Upload
Issue a presigned S3 POST policy for uploading media of a given purpose.
Authorization is delegated to the purpose's registered check_permission function - 403 if it raises PermissionError, 404 if it returns None.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
purpose*Purpose
resource_id*Resource Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/media/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/presign" \ -H "Content-Type: application/json" \ -d '{ "content_type": "string" }'{ "post_url": "string", "fields": { "property1": "string", "property2": "string" }, "object_key": "string", "expires_in": 0}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}